> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# frontendOpenOrders

> Native Hyperliquid `/info` operation. Returns the user's open orders with frontend annotations.



## OpenAPI

````yaml /reference/api-json/hyperliquid-info-api-json.json post /v1/hyperliquid/info#7
openapi: 3.0.0
info:
  title: Uniblock Hyperliquid Info API
  description: >-
    Per-operation request/response docs for the Raw Hyperliquid Info dispatch
    endpoint. Each Hyperliquid Info `type` is a synthetic path through the
    single `POST /v1/hyperliquid/info` unified route.
  version: '1.0'
servers:
  - url: https://api.uniblock.dev/uni
    description: Gateway
security:
  - ApiKeyAuth: []
tags:
  - name: Hyperliquid
paths:
  /v1/hyperliquid/info#7:
    post:
      tags:
        - Hyperliquid
      summary: frontendOpenOrders
      description: >-
        Native Hyperliquid `/info` operation. Returns the user's open orders
        with frontend annotations.
      operationId: frontendOpenOrders_HyperliquidInfo
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            type: number
            enum:
              - 999
              - 998
            default: 999
            example: 999
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            type: string
            enum:
              - Alchemy
              - Dwellir
              - Chainstack
              - Covalent
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HyperliquidInfo_frontendOpenOrders_Request'
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HyperliquidInfo_frontendOpenOrders_Response
components:
  schemas:
    HyperliquidInfo_frontendOpenOrders_Request:
      type: object
      required:
        - type
        - user
      properties:
        type:
          type: string
          enum:
            - frontendOpenOrders
          default: frontendOpenOrders
          example: frontendOpenOrders
        user:
          type: string
          description: The account address to query (0x-prefixed).
          example: '0x000000000000000000000000000000000000dEaD'
      example:
        type: frontendOpenOrders
        user: '0x000000000000000000000000000000000000dEaD'
    HyperliquidInfo_frontendOpenOrders_Response:
      type: array
      description: The user's open orders with frontend annotations.
      items:
        type: object
        required:
          - coin
          - side
          - limitPx
          - sz
          - oid
          - timestamp
          - origSz
        properties:
          coin:
            type: string
            example: BTC
          side:
            type: string
            description: '`A` for ask (sell), `B` for bid (buy).'
            example: B
          limitPx:
            type: string
            example: '0.0'
          sz:
            type: string
            example: '0.0'
          oid:
            type: number
            example: 123456789
          timestamp:
            type: number
            example: 1704067200000
          origSz:
            type: string
            example: '0.0'
          cloid:
            type: string
            nullable: true
            description: Client order id.
          triggerCondition:
            type: string
            example: N/A
          isTrigger:
            type: boolean
            example: false
          triggerPx:
            type: string
            example: '0.0'
          isPositionTpsl:
            type: boolean
            example: false
          reduceOnly:
            type: boolean
            example: false
          orderType:
            type: string
            example: Limit
          tif:
            type: string
            nullable: true
            example: Gtc
          children:
            type: array
            items: {}
      example: []
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (Optional)

````